Name:           libpqxx
Version:        2.5.5
Release:        7%{?dist}
Summary:        C++ client API for PostgreSQL

Group:          System Environment/Libraries
License:        BSD
URL:            http://gborg.postgresql.org/project/libpqxx/projdisplay.php
Source0:        ftp://gborg.postgresql.org/pub/libpqxx/stable/libpqxx-2.5.5.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  postgresql-devel
BuildRequires:  pkgconfig

%description
C++ client API for PostgreSQL. The standard front-end (in the sense of
"language binding") for writing C++ programs that use PostgreSQL.
Supersedes older libpq++ interface.

%package devel
Summary:        Development tools for libpqxx
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       postgresql-devel

%description devel
The libpgxx-devel package contains the header files and static
libraries necessary for developing programs which use libpqxx.

%prep
%setup -q
# Don't pull in extra crud when clients link 
perl -pi.no-pqlibs -e 's|@POSTGRES_LIB@||' pqxx-config.in

%build
%configure --enable-shared --disable-thread-safety --disable-static
# I hate rpath... ;)
%{__perl} -pi -e 's/hardcode_into_libs=yes/hardcode_into_libs=no/;' \
libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name '*.la' -exec rm -f {} \;
%{__perl} -pi -e 's,-R/usr/lib,,' $RPM_BUILD_ROOT%{_bindir}/pqxx-config

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO VERSION
%{_libdir}/libpqxx-2.5.5.so

%files devel
%doc README-UPGRADE
%{_bindir}/pqxx-config
%{_libdir}/libpqxx.so
%{_includedir}/pqxx
%{_libdir}/pkgconfig/libpqxx.pc

%changelog
* Mon Apr 03 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-7
- Rebuild for Fedora Extras 5

* Wed Sep 28 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-6
- fix #169441

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-5
- try fc5 build

* Tue Sep 27 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.5-4
- version upgrade

* Tue Jul 05 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-4
- add dist tag

* Fri Jul 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-3
- add postgresql-devel to Requires for devel package
- get rid of -R option in pqxx-config
- don't need BuildRequires perl

* Thu Jun 30 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-2
- Drop explicit Requires for ldconfig

* Sat Jun 25 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de> 2.5.4-1
- Initial Release
